Get Audit Logs Count

gethttps://app.fossa.com/api/count/audit_logs

Retrieves a count of audit logs.

Query parameters

offsetinteger <int32>

The number of records to skip

limitinteger <int32>

The number of records to return

sortByenum

The field to sort by (defaults to createdAt)

idactingUserIdactingUserEmailactingUserNameactingUserRoleorganizationIduserIdteamIdbuildIddependencyIdlicenseIdpolicyIdprojectIdruleIdlocatorrevisionLicenseIdissueIdactiontopicnameold_valuenew_valuedescriptioncreatedAt
sortDirenum

The direction to sort by (defaults to DESC)

ASCDESC
startDatestring <date-time>

The start date to filter audit logs to

endDatestring <date-time>

The end date to filter audit logs to

actingUserIds[]string[]

The acting user IDs to filter audit logs to

actions[]string[]

The actions to filter audit logs to

topics[]string[]

The topics to filter audit logs to

topicActions[]string[]

The topic actions to filter audit logs to

startingAfterstring

The audit log row id to start after (exclusive). Used as a cursor for pagination.

endingBeforestring

The id to end before to filter audit logs to

Responses

200Audit log count
integer
403Forbidden
string
500Server Error
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/count/audit_logs
curl --request GET \  --url 'https://app.fossa.com/api/count/audit_logs' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Query params

offsetinteger

The number of records to skip

limitinteger

The number of records to return

sortByenum

The field to sort by (defaults to createdAt)

sortDirenum

The direction to sort by (defaults to DESC)

startDatestring

The start date to filter audit logs to

endDatestring

The end date to filter audit logs to

actingUserIds[]array

The acting user IDs to filter audit logs to

actions[]array

The actions to filter audit logs to

topics[]array

The topics to filter audit logs to

topicActions[]array

The topic actions to filter audit logs to

startingAfterstring

The audit log row id to start after (exclusive). Used as a cursor for pagination.

endingBeforestring

The id to end before to filter audit logs to